Bug 12064 - SDO: Renaming servlet in WEB-INF/classes locks IDE
SDO: Renaming servlet in WEB-INF/classes locks IDE
Status: CLOSED FIXED
Product: javaee
Classification: Unclassified
Component: Code
3.x
PC Windows ME/2000
: P1 (vote)
: 3.x
Assigned To: _ rkubacki
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-09 19:30 UTC by L Martinek
Modified: 2003-07-02 08:29 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
thread dump (15.29 KB, text/plain)
2001-05-09 19:30 UTC, L Martinek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description L Martinek 2001-05-09 19:30:12 UTC
[20010509-0234]

1. Convert filesystem into webmodule
2. Create servlet in WEB-INF/classes
3. Create second servlet in WEB-INF/classes
4. Rename second servlet. Now IDE is locked.
Comment 1 L Martinek 2001-05-09 19:30:51 UTC
Created attachment 1336 [details]
thread dump
Comment 2 _ rkubacki 2001-05-10 11:21:48 UTC
Works on Linux, doesn't work on Win2000. Also it doesn't occur when servlets
reside in any package (not in Classes directory).
Comment 3 L Martinek 2001-05-10 18:13:27 UTC
I was able to lock IDE by renaming servlet also in packages.
Comment 4 _ rkubacki 2001-05-11 19:37:56 UTC
Handling of rename action changed. Bug should be fixed now.
Comment 5 L Martinek 2001-05-14 10:25:17 UTC
verified in 010512
Comment 6 Quality Engineering 2003-07-02 08:29:01 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo